<?php

namespace Drupal\project_browser\ProjectBrowser;

/**
 * One page of search results from a query.
 */
class ProjectsResultsPage {

  /**
   * Constructor for project browser results page.
   *
   * @param int $totalResults
   *   Number of results.
   * @param array $list
   *   Array containing the results.
   * @param string $pluginLabel
   *   The plugin label.
   * @param string $pluginId
   *   The plugin ID.
   * @param bool $isPackageManagerRequired
   *   True if package manager is required.
   */
  public function __construct(
    public int $totalResults,
    public array $list,
    public string $pluginLabel,
    public string $pluginId,
    public bool $isPackageManagerRequired,
  ) {}

}
